#include "FreeRTOS.h"
#include "..\include\defs.h"
#include "adc.h"

void prvSetupADC( void );

void prvSetupADC( void )
{
	static int i;
	
	//ADC Setup
	AD1CON1 = 0b0000000011100110;
	AD1CON2 = 0b0000000000111100;
	AD1CON3 = 0b0001111111111111;
	AD1PCFG = 0b1000000000000000;
	AD1CSSL = 0;
	AD1CHS = 0;
	IFS0bits.AD1IF = 0;
	IEC0bits.AD1IE  = 1;
	AD1CON1bits.ADON = 1;
}

void __attribute__ ((__interrupt__, auto_psv)) _ADC1Interrupt(void)
{	
	IFS0bits.AD1IF = 0;
	BoardControl.bits.adc_ready = pdTRUE;
}
