#include "FreeRTOS.h"
#include "..\include\defs.h"

void vParTestToggleLED( unsigned portBASE_TYPE uxLED )
{
	unsigned portBASE_TYPE uxLEDBit;	
	
	uxLEDBit = 1 << uxLED;
	portENTER_CRITICAL();
	{		
		if( LATC & uxLEDBit )
		{
			LATC &= ~uxLEDBit;
		}
		else
		{
			LATC |= uxLEDBit;
		}
	}
	portEXIT_CRITICAL();
}

void prvSetupHardware( void )
{
	TRISA = 0b0000000000000001;
	PORTA = 0;
	ODCCbits.ODC0 = 0;
	RPOR8 = 0;
	TRISC = 0;
	CMCON = 0;
	
	LCDBits.Val = 0;
	BoardControl.Mode = 0;
}

