#include "GenericTypeDefs.h"

typedef union _LCDStat
{
    BYTE Val;
    struct
    {
        unsigned UpperLCD:1;
        unsigned LowerLCD:1;
        unsigned UpperPending:1;
        unsigned LowerPending:1;
        unsigned b4:1;
        unsigned b5:1;
        unsigned b6:1;
        unsigned b7:1;
    } bits;
} LCDStat, LCDStatBits;

extern LCDStat LCDBits;

//#define UpperL LCDBits.UpperLCD
//dfdsf
typedef struct 
{
	BYTE	cmdHi;
	BYTE	cmdLo;
	unsigned LCDHi:1;
    unsigned LCDLo:1;
	union 
	{
		BYTE		*pText;
	} dataHi;
	union 
	{
		BYTE		*pText;
	} dataLo;
} LCD_MSG;

typedef union _BOARD_CONTROL
{
    WORD Val;
    BYTE Mode;
    BYTE v[2];
    struct
    {
        BYTE LB;
        BYTE HB;
    } byte;
    struct
    {
        unsigned char adc_ready:1;
        unsigned char ADC:1;
        unsigned char Counter:1;
        unsigned char b3:1;
        unsigned char b4:1;
        unsigned char b5:1;
        unsigned char b6:1;
        unsigned char b7:1;
        unsigned char b8:1;
        unsigned char b9:1;
        unsigned char b10:1;
        unsigned char b11:1;
        unsigned char b12:1;
        unsigned char b13:1;
        unsigned char b14:1;
        unsigned char b15:1;
    } bits;
} BOARD_CONTROL, BOARD_CONTROL_BITS;
	   
extern BOARD_CONTROL BoardControl;

typedef enum
{
  RFID_WAIT,
  CARD_SYS_WAIT,
  ITEM_WAIT,
  ENTER_WAIT
} Mode;

extern Mode mode;
